import { createApp } from 'vue/dist/vue.esm-bundler';
import { createRouter, createWebHistory } from 'vue-router';
import InstantSearch from 'vue-instantsearch/vue3/es';
import Scrape from './Scrape.vue';
import Request from './Request.vue';
import Video from './Video.vue';

const routes = [
    { path: '/', component: Request },
    { path: '/scrape', component: Scrape },
    { path: '/video/:id', name: "video", component: Video }
]
  
// 3. Create the router instance and pass the `routes` option
// You can pass in additional options here, but let's
// keep it simple for now.
const router = createRouter({
    // 4. Provide the history implementation to use. We are using the hash history for simplicity here.
    history: createWebHistory(),
    routes, // short for `routes: routes`
})

const app = createApp({});
app.use(InstantSearch);
app.use(router);
app.mount('#app');
